Peplink Portal Docs
Starlink Addresses

Search Starlink Addresses

Search Starlink addresses under your partner account by different criteria.

Required Capabilities

Starlink Viewer

Request

GET/starlink/addresses/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

querystringoptional

Search query string.

starlinkAccountRefIdstringoptional

Filter results by Starlink account reference ID.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns records found for the current page of search result.

Show child attributes
items.refIdstring

Reference ID of the address.

items.starlinkAccountRefIdstring

Reference ID of the Starlink account the address belongs to.

items.linesstring array

Address lines.

items.administrativeAreaCodestring

Administrative area code of the address.

items.regionCodestring

Region code of the address.

items.latitudenumber

Latitude coordinate of the address.

items.longitudenumber

Longitude coordinate of the address.

items.formattedAddressstring

Formatted address string.

items.starlinkReferenceIdnullable string

Starlink reference ID of the address. null if not applicable.

items.starlinkSyncobject

Starlink sync information of the address.

Show child attributes
items.starlinkSync.syncStatusnullable enum

The sync status of the address. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
items.starlinkSync.runCountnumber

The number of times the address sync has been run.

items.starlinkSync.runCountLimitnumber

The maximum number of times the address sync can be run.

items.starlinkSync.lastSyncedAtnullable datetime string

The last time the address was synced. null if not applicable.

items.createdAtdatetime string

Date and time the address was created.

items.createdBystring

Username of the user who created the address.

items.createdByEmailnullable string

Email of the user who created the address. null if not applicable.

items.updatedAtdatetime string

Date and time the address was last updated.

items.updatedBystring

Username of the user who last updated the address.

items.updatedByEmailnullable string

Email of the user who last updated the address. null if not applicable.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/addresses/search?pageNum=1&pageSize=5' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 1,
  "items": [
    {
      "refId": "201",
      "starlinkAccountRefId": "108",
      "lines": ["123 Main St", "Suite 400"],
      "administrativeAreaCode": "CA",
      "regionCode": "US-CA",
      "latitude": 37.7749,
      "longitude": -122.4194,
      "formattedAddress": "123 Main St, Suite 400, San Francisco, CA 94105, US",
      "starlinkReferenceId": null,
      "starlinkSync": {
        "syncStatus": "SYNCED",
        "runCount": 0,
        "runCountLimit": 10,
        "lastSyncedAt": "2026-03-11T04:46:05.089Z"
      },
      "createdAt": "2026-03-10T03:21:39.900Z",
      "createdBy": "Jane Doe",
      "createdByEmail": "[email protected]",
      "updatedAt": "2026-03-10T03:21:48.086Z",
      "updatedBy": "System",
      "updatedByEmail": null
    }
  ]
}

On this page